## kdeplasma-addons 5.2.2

=== debian/changelog ===
kdeplasma-addons (4:5.2.2-0ubuntu3) vivid; urgency=medium

  * Add depends on qml-module-qtwebkit LP: #1431610
    Web Browser plasmoid missing dependency to QtWebKit

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 15 Apr 2015 12:34:59 +0200

kdeplasma-addons (4:5.2.2-0ubuntu2) vivid; urgency=medium

  * Fix .install files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 25 Mar 2015 00:49:53 +0100

kdeplasma-addons (4:5.2.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 24 Mar 2015 07:13:42 -0700

kdeplasma-addons (4:5.2.1-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 23 Feb 2015 09:37:47 -0800

kdeplasma-addons (4:5.2.0-0ubuntu1) vivid; urgency=medium

  * Fix the -data depends to use source:Version rather than binary:
  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 27 Jan 2015 14:51:11 +0100

kdeplasma-addons (4:5.1.95-0ubuntu2) vivid; urgency=medium

  * Make packages depend on the -data package for translations

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 16 Jan 2015 12:01:39 +0100

kdeplasma-addons (4:5.1.95-0ubuntu1) vivid; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Jan 2015 01:25:22 +0100

kdeplasma-addons (4:5.1.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 19 Dec 2014 18:12:50 +0100

kdeplasma-addons (4:5.1.1-0ubuntu1) vivid; urgency=medium

  * Initial release for Plasma 5
  * Remove no-human-maintainers lintian-override per ScottK.
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Nov 2014 21:19:52 +0100

kdeplasma-addons (4:5.1.0.1-0ubuntu2) vivid; urgency=medium

  * Remove unused build-depend libgio3.0-cil-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 06 Nov 2014 11:31:26 +0100

kdeplasma-addons (4:5.1.0.1-0ubuntu1) vivid; urgency=medium

  * Initial release for Plasma 5
  * New copyright file, wrap-and-sort, changelog entry, add epoch.
  * Fix Maintainer field.
  * New upstream tarball, add new dependencies.
  * Correct the xcb dependency.

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 03 Oct 2014 10:59:34 +0000

=== debian/control ===
Source: kdeplasma-addons
Section: utils
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules,
               kio-dev (>= 5.2.0),
               kross-dev (>= 5.2.0),
               libboost1.55-dev,
               libgee-dev,
               libglib2.0-dev,
               libibus-1.0-dev,
               libkf5config-dev (>= 5.2.0),
               libkf5configwidgets-dev (>= 5.2.0),
               libkf5coreaddons-dev (>= 5.2.0),
               libkf5i18n-dev (>= 5.2.0),
               libkf5kcmutils-dev (>= 5.2.0),
               libkf5kdelibs4support-dev (>= 5.2.0),
               libkf5newstuff-dev (>= 5.2.0),
               libkf5runner-dev (>= 5.2.0),
               libkf5service-dev (>= 5.2.0),
               libkf5unitconversion-dev (>= 5.2.0),
               libqt5x11extras5-dev,
               libxcb-keysyms1-dev,
               pkg-kde-tools,
               plasma-framework-dev,
               qtdeclarative5-dev,
               scim-dev
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Homepage: http://kde.org/
X-Vcs-Debian-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/plasma/kdeplasma-addons.git
X-Vcs-Debian-Git: git://anonscm.debian.org/pkg-kde/plasma/kdeplasma-addons.git

Package: kdeplasma-addons-data
Architecture: all
Section: kde
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: locale files for kdeplasma-addons
 The KDE Plasma addons module is a collection of additional Plasma 5
 data engines, widgets and krunner plugins. It is part of
 the official KDE distribution.
 .
 This package contains locale files for KDE Plasma addons module.
Multi-Arch: foreign

Package: kwin-addons
Architecture: any
Section: kde
Depends: kdeplasma-addons-data (= ${source:Version}),
         kwin,
         plasma-framework,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kwin-data (<< 4:5.1.0.1+git20141031.1444)
Replaces: kwin-data (<< 4:5.1.0.1+git20141031.1444)
Description: additional desktop and window switchers for KWin
 This package contains additional KWin desktop and window switchers shipped in
 the Plasma 5 addons module.
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-widgets-addons
Architecture: any
Section: kde
Depends: kdeplasma-addons-data (= ${source:Version}),
         kpackagetool5,
         plasma-dataengines-addons (= ${binary:Version}),
         qml-module-org-kde-kio,
         qml-module-qtwebkit,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: plasma-widget-kimpanel
Description: additional widgets for Plasma 5
 This package contains additional Plasma 5 widgets shipped in the Plasma
 addons module. Install it if you want a variety of widgets on your Plasma
 desktop.
 .
 This package provides the following widgets:
  * Calculator
  * Dictionary
  * Fuzzy Clock
  * Konsole Profiles
  * Notes
  * System Load Viewer
  * Timer
  * Unit Converter
  * More coming soon..
 .
 This package is part of the KDE Plasma 5 addons module.

Package: plasma-dataengines-addons
Architecture: any
Section: kde
Depends: kdeplasma-addons-data (= ${source:Version}),
         kross,
         ${misc:Depends},
         ${shlibs:Depends}
Description: additional data engines for Plasma
 This package contains additional Plasma data engines shipped in Plasma 5
 addons module. These engines are needed by some Plasma  5 widget shipped with
 plasma-widgets-addons, but they may be useful for any other Plasma widgets too.
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-runners-addons
Architecture: any
Section: kde
Depends: kdeplasma-addons-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: additional runners for Plasma 5 and Krunner
 This package contains additional Plasma runners that are used in krunner
 (the "run command" dialog of Plasma) to reveal special search results.
 If you use krunner a lot, you will probably like this package.
 .
 This package contains the following runners:
  * Dictionary
  * More coming soon..
 .
 This package is part of the KDE Plasma 5 addons module.

Package: plasma-wallpapers-addons
Architecture: any
Section: kde
Depends: kdeplasma-addons-data (= ${source:Version}),
         plasma-framework,
         ${misc:Depends},
         ${shlibs:Depends}
Description: additional wallpaper plugins for Plasma 5
 This package contains additional Plasma 5 wallpaper plugins that are used in
 the Plasma desktop to give marble, mandelbrot and other such wallpapers.
 .
 This package contains the following wallpaper plugins:
  * Haenau
  * Hunyango
  * More coming soon..
 .
 This package is part of the KDE Plasma 5 addons module.

Package: plasma-widget-kimpanel
Architecture: any
Section: kde
Depends: kdeplasma-addons-data (= ${source:Version}),
         plasma-framework,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: plasma-widgets-addons (<< 4:5.2.1+git20150318.0041)
Replaces: plasma-widgets-addons (<< 4:5.2.1+git20150318.0041)
Description: KIMPanel widget for Plasma
 This package provides the KDE Input Method Panel widget for Plasma 5.
 .
 This package is part of the KDE Plasma addons module.

Package: kdeplasma-addons-dbg
Section: debug
Architecture: any
Priority: extra
Depends: plasma-dataengines-addons (= ${binary:Version}) | plasma-runners-addons (= ${binary:Version}) | plasma-wallpapers-addons (= ${binary:Version}) | plasma-widget-kimpanel (= ${binary:Version}) | plasma-widgets-addons (= ${binary:Version}),
         plasma-workspace-dbg,
         ${misc:Depends}
Description: debugging symbols for kdeplasma-addons
 This package contains the debugging symbols associated with kdeplasma-addons
 for kf5. They will automatically be used by gdb for debugging kdeplasma-addons
 related issues.

=== debian/watch ===
version=3
http://download.kde.org/unstable/plasma/([\d\.]*)/kdeplasma-addons-([\d\.]*).tar.xz
http://download.kde.org/stable/plasma/([\d\.]*)/kdeplasma-addons-([\d\.]*).tar.xz

## kdeplasma-addons 5.4.2

=== debian/changelog ===
kdeplasma-addons (4:5.4.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 02 Oct 2015 15:52:40 +0100

kdeplasma-addons (4:5.4.1-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 08 Sep 2015 10:14:40 +0100

kdeplasma-addons (4:5.4.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 31 Aug 2015 15:48:32 +0100

kdeplasma-addons (4:5.3.95-0ubuntu2) wily; urgency=medium

  * Build-depend on unversioned boost package.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Aug 2015 13:58:26 +0200

kdeplasma-addons (4:5.3.95-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 23:12:41 +0200

kdeplasma-addons (4:5.3.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Jul 2015 12:26:53 +0000

kdeplasma-addons (4:5.3.1-0ubuntu1) wily; urgency=medium

  [ Jonathan Riddell ]
  * Plasma 5.3 beta
  * new upstream release

  [ Scarlett Clark ]
  * Vivid backport

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 05 Jun 2015 02:27:29 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                extra-cmake-modules,
                kio-dev (>= 5.2.0),
                kross-dev (>= 5.2.0),
-               libboost1.55-dev,
+               libboost-dev,
                libgee-dev,
                libglib2.0-dev,
                libibus-1.0-dev,
@@ -30,8 +30,8 @@
 Standards-Version: 3.9.6
 XS-Testsuite: autopkgtest
 Homepage: http://kde.org/
-X-Vcs-Debian-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/plasma/kdeplasma-addons.git
-X-Vcs-Debian-Git: git://anonscm.debian.org/pkg-kde/plasma/kdeplasma-addons.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/plasma/kdeplasma-addons.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/kdeplasma-addons.git
 
 Package: kdeplasma-addons-data
 Architecture: all
@@ -67,7 +67,12 @@
 Depends: kdeplasma-addons-data (= ${source:Version}),
          kpackagetool5,
          plasma-dataengines-addons (= ${binary:Version}),
+         plasma-framework,
+         plasma-workspace,
+         qml-module-org-kde-draganddrop,
+         qml-module-org-kde-kcoreaddons,
          qml-module-org-kde-kio,
+         qml-module-qtgraphicaleffects,
          qml-module-qtwebkit,
          ${misc:Depends},
          ${shlibs:Depends}

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

.PHONY: override_dh_auto_test

override_dh_strip:
	$(overridden_command) --dbg-package=kdeplasma-addons-dbg

override_dh_auto_clean:
	$(overridden_command)
	find applets/lancelot/tools/puck -name *.pyc -delete || true

## kdeplasma-addons 5.5.5

=== CMakeLists.txt ===
project(kdeplasma-addons)
set(PROJECT_VERSION "5.5.5")
set(PROJECT_VERSION_MAJOR 5)

cmake_minimum_required(VERSION 2.8.12)

################# Disallow in-source build #################
if("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
   message(FATAL_ERROR "plasma requires an out of source build. Please create a separate build directory and run 'cmake path_to_plasma [options]' there.")
endif()

include(FeatureSummary)

find_package(ECM 1.0.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)

set(REQUIRED_QT_VERSION 5.3.0)
set(KF5_MIN_VERSION 5.8.0)
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Gui DBus Quick Qml Widgets X11Extras)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Activities Config ConfigWidgets CoreAddons I18n KIO KCMUtils Plasma Runner Service UnitConversion KDELibs4Support NewStuff Kross)

find_package(X11)
set_package_properties(X11 PROPERTIES DESCRIPTION "X11 libraries"
                        URL "http://www.x.org"
                        TYPE REQUIRED
                        PURPOSE "Required for building the X11 based workspace"
                      )

include_directories(${CMAKE_CURRENT_BINARY_DIR})
#########################################################################

################# list the subdirectories #################
#add_subdirectory(src)
#add_subdirectory( desktoptheme )

# add_subdirectory(libs)
add_subdirectory(applets)
add_subdirectory(dataengines)
add_subdirectory(runners)

add_subdirectory(wallpapers)

add_subdirectory(windowswitchers)
add_subdirectory(desktopswitchers)

configure_file(config-kdeplasma-addons.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kdeplasma-addons.h)

configure_file(config-X11.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-X11.h)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== applets/CMakeLists.txt ===
add_subdirectory(activitypager)
add_subdirectory(fifteenPuzzle)
add_subdirectory(fuzzy-clock)
add_subdirectory(calculator)
add_subdirectory(colorpicker)
add_subdirectory(notes)
add_subdirectory(timer)

find_package(KDEExperimentalPurpose QUIET)
set_package_properties(KDEExperimentalPurpose PROPERTIES DESCRIPTION "EXPERIMENTAL. Support for QuickShare sharing"
                       URL "https://projects.kde.org/projects/playground/libs/purpose"
                       TYPE RUNTIME
                      )

if (KDEExperimentalPurpose_FOUND)
    add_subdirectory(quickshare)
endif()

if(NOT WIN32)
    # uses the command line tool 'quota', does not make sense on Windows
    add_subdirectory(diskquota)

    add_subdirectory(systemloadviewer)
endif(NOT WIN32)

add_subdirectory(kimpanel)
add_subdirectory(showdesktop)

plasma_install_package(webbrowser org.kde.plasma.webbrowser)

add_subdirectory(comic)
add_subdirectory(konsoleprofiles)
add_subdirectory(kickerdash)
add_subdirectory(quicklaunch)

#This applet is disabled because although ported it does not work
# add_subdirectory(eyes)

add_subdirectory(userswitcher)

=== libs/CMakeLists.txt ===

add_subdirectory(plasmaweather)
add_subdirectory(rtm)

add_subdirectory(lancelot)

if(NOT WIN32 AND KDE4WORKSPACE_FOUND)
   add_subdirectory(lancelot-datamodels)
endif(NOT WIN32 AND KDE4WORKSPACE_FOUND)

=== applets/binary-clock/CMakeLists.txt ===
set(binaryclock_SRCS binaryclock.cpp)

kde4_add_ui_files(binaryclock_SRCS clockConfig.ui)
kde4_add_plugin(plasma_applet_binaryclock ${binaryclock_SRCS})

target_link_libraries(plasma_applet_binaryclock ${KDE4WORKSPACE_PLASMACLOCK_LIBRARY} ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS})

install(TARGETS plasma_applet_binaryclock DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES plasma-applet-binaryclock.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== applets/charselect/CMakeLists.txt ===
set(charselect_SRCS charselect.cpp)

kde4_add_plugin(plasma_applet_charselect ${charselect_SRCS})
target_link_libraries(plasma_applet_charselect ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS})
 
install(TARGETS plasma_applet_charselect
        DESTINATION ${PLUGIN_INSTALL_DIR})
 
install(FILES plasma-applet-charselect.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

=== applets/colorpicker/CMakeLists.txt ===
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})

plasma_install_package(package org.kde.plasma.colorpicker)

set(colorpickerplugin_SRCS
    plugin/grabwidget.cpp
    plugin/colorpickerplugin.cpp
)

install(FILES plugin/qmldir DESTINATION ${QML_INSTALL_DIR}/org/kde/plasma/private/colorpicker)
add_library(colorpickerplugin SHARED ${colorpickerplugin_SRCS})

target_link_libraries(colorpickerplugin Qt5::Gui Qt5::Qml Qt5::Widgets)
install(TARGETS colorpickerplugin DESTINATION ${QML_INSTALL_DIR}/org/kde/plasma/private/colorpicker)

=== applets/comic/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasma_applet_org.kde.plasma.comic\")

set(comic_SRCS
    comic.cpp
    comicmodel.cpp
    comicupdater.cpp
    comicarchivejob.cpp
    comicarchivedialog.cpp
    checknewstrips.cpp
    comicdata.cpp
    comicinfo.cpp
    comicsaver.cpp
    stripselector.cpp
    activecomicmodel.cpp
)

ki18n_wrap_ui(comic_SRCS comicarchivedialog.ui
)


add_library(plasma_applet_comic MODULE ${comic_SRCS})

kcoreaddons_desktop_to_json(plasma_applet_comic package/metadata.desktop)

target_link_libraries(plasma_applet_comic
                      Qt5::Gui
                      Qt5::Widgets
                      KF5::Plasma
                      KF5::Solid
                      KF5::I18n
                      KF5::KIOCore
                      KF5::KIOWidgets
                      KF5::NewStuff
                      KF5::Notifications
                      KF5::IconThemes
                      KF5::Archive)


install(TARGETS plasma_applet_comic DESTINATION ${PLUGIN_INSTALL_DIR}/plasma/applets)
#install(FILES plasma-comic-default.desktop DESTINATION ${SERVICES_INSTALL_DIR})

install(FILES comic.knsrc DESTINATION ${CONFIG_INSTALL_DIR})
plasma_install_package(package org.kde.plasma.comic)

=== applets/fileWatcher/CMakeLists.txt ===
include_directories( ${KDE4_INCLUDES} )

set(fileWatcher_SRCS fileWatcher.cpp fileWatcherTextItem.cpp)

kde4_add_ui_files(fileWatcher_SRCS fileWatcherConfig.ui filtersConfig.ui)
kde4_add_plugin(plasma_applet_fileWatcher ${fileWatcher_SRCS})

target_link_libraries(plasma_applet_fileWatcher ${KDE4_PLASMA_LIBS} ${KDE4_KIO_LIBS})

install(TARGETS plasma_applet_fileWatcher DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-fileWatcher-default.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== applets/incomingmsg/CMakeLists.txt ===
# We add our source code here
set(incomingmsg_SRCS incomingmsg.cpp)

# Now make sure all files get to the right place
kde4_add_ui_files(incomingmsg_SRCS widget.ui)
kde4_add_plugin(plasma_applet_incomingmsg ${incomingmsg_SRCS})

target_link_libraries(plasma_applet_incomingmsg
                      ${QT_QTNETWORK_LIBRARY} ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS})

install(TARGETS plasma_applet_incomingmsg
        DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES plasma-applet-incomingmsg.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

=== applets/kickerdash/CMakeLists.txt ===
install(FILES metadata.desktop DESTINATION ${SERVICES_INSTALL_DIR} RENAME plasma-applet-org.kde.plasma.kickerdash.desktop)
install(FILES metadata.desktop DESTINATION ${PLASMA_DATA_INSTALL_DIR}/plasmoids/org.kde.plasma.kickerdash )

=== applets/kimpanel/CMakeLists.txt ===
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})

add_subdirectory(backend)

plasma_install_package(package org.kde.plasma.kimpanel)

set(kimpanelplugin_SRCS
    plugin/screen.cpp
    plugin/kimpanelplugin.cpp
)

install(FILES plugin/qmldir DESTINATION ${QML_INSTALL_DIR}/org/kde/plasma/private/kimpanel)
add_library(kimpanelplugin SHARED ${kimpanelplugin_SRCS})

target_link_libraries(kimpanelplugin Qt5::Gui Qt5::Qml)
install(TARGETS kimpanelplugin DESTINATION ${QML_INSTALL_DIR}/org/kde/plasma/private/kimpanel)

=== applets/knowledgebase/CMakeLists.txt ===
# We add our source code here
set(knowledgebase_SRCS kbitemwidget.cpp knowledgebase.cpp kbitemtitle.cpp)

kde4_add_ui_files(knowledgebase_SRCS knowledgeBaseConfig.ui )

# Now make sure all files get to the right place
kde4_add_plugin(plasma_applet_knowledgebase ${knowledgebase_SRCS})
target_link_libraries(plasma_applet_knowledgebase 
                      ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS})
 
install(TARGETS plasma_applet_knowledgebase
        DESTINATION ${PLUGIN_INSTALL_DIR})
 
install(FILES plasma-applet-knowledgebase.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
kdeplasma-addons (4:5.5.5-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 14 Apr 2016 13:37:09 -0700

kdeplasma-addons (4:5.5.4-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * Debian merge: No remaining changes. 
  * New upstream release Xenial
  * Remove missing file from data install. 
  * Merge unstable to archive to get debian merge. 
  * Fix missing files. 
  * Fix install file for archive. 
  * Fix install file for archive again. 
  * Add new build dep for SCIM 

  [ Clive Johnston ]
  * new upstream release
  * Removing plasma_applet_showdashboard.mo from install file
  * Wildcarding /usr/share/locale/*/*/*.mo in install file
  * Adding missing activitypager files
  * New upstream release

  [ Bhushan Shah ]
  * Add build-dep to plasma-workspace-dev

  [ Clive Johnston ]
  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Mon, 07 Mar 2016 21:20:25 +0100

kdeplasma-addons (4:5.4.3-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Philip Muškovac ]
  * New upstream bugfix release (LP: #1518598)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 22 Nov 2015 16:29:09 +0100

kdeplasma-addons (4:5.4.3-1) unstable; urgency=medium

  * New upstream release (5.4.3).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Dec 2015 11:46:01 +0100

kdeplasma-addons (4:5.4.2-1) unstable; urgency=medium

  * New upstream release (5.4.2).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 06 Oct 2015 07:52:17 +0200

kde-gtk-config (4:5.4.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 02 Oct 2015 15:52:02 +0100

kdeplasma-addons (4:5.4.1-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.4.1).

  [ Scott Kitterman ]
  * Drop unused build-depends on libgee-dev
  * Add kwin-x11 as a real alternative to the kwin virtual package depends for
    kwin-addons to make the package more installable (Closes: #791381)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 11 Sep 2015 18:45:32 +0200

kdeplasma-addons (4:5.4.0-1) unstable; urgency=medium

  * New upstream release (5.4.0).
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 03 Sep 2015 18:00:02 +0200

kdeplasma-addons (4:5.3.2-2) unstable; urgency=medium

  * Add the missing Breaks/Replaces. (Closes: #790919)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 03 Jul 2015 14:07:47 +0200

kdeplasma-addons (4:5.3.2-1) unstable; urgency=medium

  * New upstream release (5.3.2).
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 30 Jun 2015 20:36:27 +0200

kdeplasma-addons (4:5.3.1-1) unstable; urgency=medium

  * New upstream release (5.3.0).
  * New upstream release (5.3.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 29 Jun 2015 23:44:54 +0200

kdeplasma-addons (4:5.2.2-1) experimental; urgency=medium

  * New upstream release (5.2.1).
  * New upstream release (5.2.2).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 25 Mar 2015 23:17:49 +0100

kdeplasma-addons (4:5.2.0-1) experimental; urgency=medium

  * Prepare initial Debian release.
  * Add myself as Uploader.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Update copyright information.
  * Update install files.
  * Update watch file.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Feb 2015 13:48:48 +0100

=== debian/control ===
Source: kdeplasma-addons
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.18.0~),
               kinit-dev (>= 5.18.0~),
               kio-dev (>= 5.18.0~),
               kross-dev (>= 5.18.0~),
               libboost-dev,
               libgee-dev | libgee-0.8-dev,
               libglib2.0-dev,
               libibus-1.0-dev,
               libkf5activities-dev (>= 5.17.0~),
               libkf5config-dev (>= 5.17.0~),
               libkf5configwidgets-dev (>= 5.17.0~),
               libkf5coreaddons-dev (>= 5.17.0~),
               libkf5i18n-dev (>= 5.17.0~),
               libkf5kcmutils-dev (>= 5.17.0~),
               libkf5kdelibs4support-dev (>= 5.17.0~),
               libkf5newstuff-dev (>= 5.17.0~),
               libkf5runner-dev (>= 5.17.0~),
               libkf5service-dev (>= 5.17.0~),
               libkf5sysguard-dev (>= 4:5.5.5~),
               libkf5unitconversion-dev (>= 5.17.0~),
               libqt5x11extras5-dev,
               libqt5x11extras5-dev (>= 5.4),
               libx11-dev,
               libxcb-keysyms1-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               plasma-framework-dev (>= 5.17.0~),
               plasma-workspace-dev (>= 4:5.5.5~),
               qtbase5-dev (>= 5.4),
               qtdeclarative5-dev,
               qtdeclarative5-dev (>= 5.4),
               scim-dev,
               shared-mime-info
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/workspace/kdeplasma-addons
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/kdeplasma-addons.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/kdeplasma-addons.git

Package: kdeplasma-addons-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: locale files for kdeplasma-addons
 The KDE Plasma addons module is a collection of additional Plasma 5
 data engines, widgets and krunner plugins. It is part of
 the official KDE distribution.
 .
 This package contains locale files for KDE Plasma addons module.
Multi-Arch: foreign

Package: kwin-addons
Architecture: any
Depends: kdeplasma-addons-data (= ${source:Version}),
         kwin | kwin-x11,
         plasma-framework,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kwin-data (<< 4:5.1.0.1+git20141031.1444)
Replaces: kwin-data (<< 4:5.1.0.1+git20141031.1444)
Description: additional desktop and window switchers for KWin
 This package contains additional KWin desktop and window switchers shipped in
 the Plasma 5 addons module.
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-widgets-addons
Architecture: any
Depends: kdeplasma-addons-data (= ${source:Version}),
         kpackagetool5,
         plasma-dataengines-addons (= ${binary:Version}),
         plasma-framework,
         plasma-workspace,
         qml-module-org-kde-draganddrop,
         qml-module-org-kde-kcoreaddons,
         qml-module-org-kde-kio,
         qml-module-qtgraphicaleffects,
         qml-module-qtwebkit,
         ${misc:Depends},
         ${shlibs:Depends}
Description: additional widgets for Plasma 5
 This package contains additional Plasma 5 widgets shipped in the Plasma
 addons module. Install it if you want a variety of widgets on your Plasma
 desktop.
 .
 This package provides the following widgets:
  * Calculator
  * Dictionary
  * Fuzzy Clock
  * Konsole Profiles
  * Notes
  * System Load Viewer
  * Timer
  * Unit Converter
  * Userswitcher
  * Diskquota
  * Activity pager
  * More coming soon..
 .
 This package is part of the KDE Plasma 5 addons module.

Package: plasma-dataengines-addons
Architecture: any
Depends: kdeplasma-addons-data (= ${source:Version}),
         kross,
         ${misc:Depends},
         ${shlibs:Depends}
Description: additional data engines for Plasma
 This package contains additional Plasma data engines shipped in Plasma 5
 addons module. These engines are needed by some Plasma  5 widget shipped with
 plasma-widgets-addons, but they may be useful for any other Plasma widgets too.
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-runners-addons
Architecture: any
Depends: kdeplasma-addons-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: additional runners for Plasma 5 and Krunner
 This package contains additional Plasma runners that are used in krunner
 (the "run command" dialog of Plasma) to reveal special search results.
 If you use krunner a lot, you will probably like this package.
 .
 This package contains the following runners:
  * Dictionary
  * More coming soon..
 .
 This package is part of the KDE Plasma 5 addons module.

Package: plasma-wallpapers-addons
Architecture: any
Depends: kdeplasma-addons-data (= ${source:Version}),
         plasma-framework,
         ${misc:Depends},
         ${shlibs:Depends}
Description: additional wallpaper plugins for Plasma 5
 This package contains additional Plasma 5 wallpaper plugins that are used in
 the Plasma desktop to give marble, mandelbrot and other such wallpapers.
 .
 This package contains the following wallpaper plugins:
  * Haenau
  * Hunyango
  * More coming soon..
 .
 This package is part of the KDE Plasma 5 addons module.

Package: kdeplasma-addons-dbg
Section: debug
Priority: extra
Architecture: any
Depends: plasma-dataengines-addons (= ${binary:Version}) | plasma-runners-addons (= ${binary:Version}) | plasma-wallpapers-addons (= ${binary:Version}) | plasma-widgets-addons (= ${binary:Version}),
         ${misc:Depends}
Description: debugging symbols for kdeplasma-addons
 This package contains the debugging symbols associated with kdeplasma-addons
 for kf5. They will automatically be used by gdb for debugging kdeplasma-addons
 related issues.

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,13 @@
 #!/usr/bin/make -f
 
+l10npkgs_firstversion_ok := 4:4.14.0-2
+
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
+include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
 
-.PHONY: override_dh_auto_test
+override_dh_auto_test:
+	# Disable dh_auto_test at build time
+	:
 
 override_dh_strip:
 	$(overridden_command) --dbg-package=kdeplasma-addons-dbg

=== debian/watch ===
version=3
http://download.kde.org/unstable/plasma/([\d.]+)/kdeplasma-addons-([\d.]+).tar.xz
http://download.kde.org/stable/plasma/([\d.]+)/kdeplasma-addons-([\d.]+).tar.xz

## kdeplasma-addons 5.7.5

=== debian/changelog ===
kdeplasma-addons (4:5.7.5-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.7.4)
  * New upstream release (5.7.5)

 -- Rik Mills <rik.mills88@gmail.com>  Tue, 20 Sep 2016 20:26:00 -0500

kdeplasma-addons (4:5.7.2-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.7.1)
  * New upstream release (5.7.2)

 -- Clive Johnston <clivejo@kubuntu.org>  Thu, 28 Jul 2016 12:04:34 +0000

kdeplasma-addons (4:5.6.5-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.6.5)

 -- Clive Johnston <clivejo@kubuntu.org>  Fri, 15 Jul 2016 20:43:57 +0100

kdeplasma-addons (4:5.6.4-0ubuntu1) yakkety; urgency=medium

  [ Clive Johnston ]
  * New upstream release
  * Removed build dep scim-dev and related files from install file
  * Removed build deb libibus-1.0-dev
  * Removed duplicated build deps
    - libqt5x11extras5-dev
    - qtdeclarative5-dev
  * Install new media frame and weather files
    - Added weather private libs to not-installed
  * Pattern matched usr/share/plasma/plasmoids/org.kde.plasma.weather/
  * Removed kimpanel stuff from install files

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release (5.6.4)

 -- Clive Johnston <clivejo@kubuntu.org>  Wed, 18 May 2016 13:15:19 -0700

=== debian/control ===
--- 
+++ 
@@ -5,43 +5,39 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.18.0~),
-               kinit-dev (>= 5.18.0~),
-               kio-dev (>= 5.18.0~),
-               kross-dev (>= 5.18.0~),
+               extra-cmake-modules (>= 5.24.0~),
+               kinit-dev (>= 5.24.0~),
+               kio-dev (>= 5.24.0~),
+               kross-dev (>= 5.24.0~),
                libboost-dev,
                libgee-dev | libgee-0.8-dev,
                libglib2.0-dev,
-               libibus-1.0-dev,
-               libkf5activities-dev (>= 5.17.0~),
-               libkf5config-dev (>= 5.17.0~),
-               libkf5configwidgets-dev (>= 5.17.0~),
-               libkf5coreaddons-dev (>= 5.17.0~),
-               libkf5i18n-dev (>= 5.17.0~),
-               libkf5kcmutils-dev (>= 5.17.0~),
-               libkf5kdelibs4support-dev (>= 5.17.0~),
-               libkf5newstuff-dev (>= 5.17.0~),
-               libkf5runner-dev (>= 5.17.0~),
-               libkf5service-dev (>= 5.17.0~),
-               libkf5sysguard-dev (>= 4:5.5.5~),
-               libkf5unitconversion-dev (>= 5.17.0~),
-               libqt5x11extras5-dev,
-               libqt5x11extras5-dev (>= 5.4),
+               libkf5activities-dev (>= 5.24.0~),
+               libkf5config-dev (>= 5.24.0~),
+               libkf5configwidgets-dev (>= 5.24.0~),
+               libkf5coreaddons-dev (>= 5.24.0~),
+               libkf5i18n-dev (>= 5.24.0~),
+               libkf5kcmutils-dev (>= 5.24.0~),
+               libkf5kdelibs4support-dev (>= 5.24.0~),
+               libkf5newstuff-dev (>= 5.24.0~),
+               libkf5runner-dev (>= 5.24.0~),
+               libkf5service-dev (>= 5.24.0~),
+               libkf5sysguard-dev (>= 4:5.7.5~),
+               libkf5unitconversion-dev (>= 5.24.0~),
+               libqt5x11extras5-dev (>= 5.6.1~),
                libx11-dev,
                libxcb-keysyms1-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-framework-dev (>= 5.17.0~),
-               plasma-workspace-dev (>= 4:5.5.5~),
-               qtbase5-dev (>= 5.4),
-               qtdeclarative5-dev,
-               qtdeclarative5-dev (>= 5.4),
-               scim-dev,
+               plasma-framework-dev (>= 5.24.0~),
+               plasma-workspace-dev (>= 4:5.7.5~),
+               qtbase5-dev (>= 5.6.1~),
+               qtdeclarative5-dev (>= 5.6.1~),
                shared-mime-info
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/workspace/kdeplasma-addons
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/kdeplasma-addons.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/kdeplasma-addons.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeplasma-addons
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeplasma-addons
 
 Package: kdeplasma-addons-data
 Architecture: all

## kdeplasma-addons 5.8.5

=== applets/bookmarks/CMakeLists.txt ===
set( bookmarks_SRCS
    generalconfigeditor.cpp
    bookmarksplasmoid.cpp
    main.cpp
)

kde4_add_plugin( plasma_applet_bookmarks  ${bookmarks_SRCS})

target_link_libraries( plasma_applet_bookmarks
    ${KDE4_PLASMA_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KIO_LIBS}
)

install( TARGETS plasma_applet_bookmarks  DESTINATION ${PLUGIN_INSTALL_DIR})
install( FILES plasma-applet-bookmarks.desktop  DESTINATION ${SERVICES_INSTALL_DIR} )

=== debian/changelog ===
kdeplasma-addons (4:5.8.5-2) unstable; urgency=medium

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Mar 2017 08:50:49 +0100

kdeplasma-addons (4:5.8.5-1) experimental; urgency=medium

  * New upstream release (5.8.5).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 30 Dec 2016 18:46:14 +0100

kdeplasma-addons (4:5.8.4-1) unstable; urgency=medium

  * New upstream release (5.8.4)
  * Add the quickshare plasmoid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 18:35:21 +0100

kdeplasma-addons (4:5.8.2-1) unstable; urgency=medium

  * New upstream release (5.8.2)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Oct 2016 15:27:38 +0200

kdeplasma-addons (4:5.8.1-1) unstable; urgency=medium

  * New upstream release (5.8.1)
  * Add quickshare to not-installed till purpose is available

 -- Maximiliano Curia <maxy@debian.org>  Sun, 16 Oct 2016 23:01:34 +0200

kdeplasma-addons (4:5.8.0-1) unstable; urgency=medium

  * New upstream release (5.8.0)
  * Update install files
  * Add new plasmoid (minimizeall)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 07 Oct 2016 14:10:26 +0200

kdeplasma-addons (4:5.7.4-1) unstable; urgency=medium

  * New upstream release (5.7.4)
  * Bump plasma-workspace-dev build dependency version
  * Update install files

 -- Maximiliano Curia <maxy@debian.org>  Wed, 31 Aug 2016 14:16:59 +0200

kdeplasma-addons (4:5.6.5-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 28 Jun 2016 14:53:12 +0200

kdeplasma-addons (4:5.6.4-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8

 -- Maximiliano Curia <maxy@debian.org>  Tue, 31 May 2016 21:28:33 +0200

kdeplasma-addons (4:5.6.2-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * uscan no longer supports this kind of watch files.
  * New upstream release (5.5.5).
  * Automatic update with ddeb_migration3.py
  * Add upstream metadata (DEP-12)
  * Update build-depends
  * Add libksysguard as a build dep
  * Drop kimpanel package
  * Update install files
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Remove duplicated build dependency

 -- Maximiliano Curia <maxy@debian.org>  Tue, 31 May 2016 21:23:09 +0200

kdeplasma-addons (4:5.5.4-1) experimental; urgency=medium

  * New upstream release (5.5.0).
  * New upstream release (5.5.1).
  * New upstream release (5.5.2).
  * New upstream release (5.5.3).
  * New upstream release (5.5.4).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 16:49:09 +0100

=== debian/control ===
--- 
+++ 
@@ -5,39 +5,44 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.24.0~),
-               kinit-dev (>= 5.24.0~),
-               kio-dev (>= 5.24.0~),
-               kross-dev (>= 5.24.0~),
+               extra-cmake-modules (>= 1.0.0),
+               kinit-dev,
+               kross-dev (>= 5.8.0~),
                libboost-dev,
-               libgee-dev | libgee-0.8-dev,
+               libgee-0.8-dev | libgee-dev,
                libglib2.0-dev,
-               libkf5activities-dev (>= 5.24.0~),
-               libkf5config-dev (>= 5.24.0~),
-               libkf5configwidgets-dev (>= 5.24.0~),
-               libkf5coreaddons-dev (>= 5.24.0~),
-               libkf5i18n-dev (>= 5.24.0~),
-               libkf5kcmutils-dev (>= 5.24.0~),
-               libkf5kdelibs4support-dev (>= 5.24.0~),
-               libkf5newstuff-dev (>= 5.24.0~),
-               libkf5runner-dev (>= 5.24.0~),
-               libkf5service-dev (>= 5.24.0~),
-               libkf5sysguard-dev (>= 4:5.7.5~),
-               libkf5unitconversion-dev (>= 5.24.0~),
-               libqt5x11extras5-dev (>= 5.6.1~),
+               libibus-1.0-dev,
+               libkf5activities-dev (>= 5.8.0~),
+               libkf5config-dev (>= 5.8.0~),
+               libkf5configwidgets-dev (>= 5.8.0~),
+               libkf5coreaddons-dev (>= 5.8.0~),
+               libkf5i18n-dev (>= 5.8.0~),
+               libkf5kcmutils-dev (>= 5.8.0~),
+               libkf5kdelibs4support-dev (>= 5.8.0~),
+               libkf5kio-dev (>= 5.8.0~),
+               libkf5newstuff-dev (>= 5.8.0~),
+               libkf5plasma-dev (>= 5.8.0~),
+               libkf5runner-dev (>= 5.8.0~),
+               libkf5service-dev (>= 5.8.0~),
+               libkf5sysguard-dev,
+               libkf5unitconversion-dev (>= 5.8.0~),
+               libqt5x11extras5-dev (>= 5.4),
                libx11-dev,
+               libxcb-image0-dev,
                libxcb-keysyms1-dev,
+               libxcb-shm0-dev,
+               libxcb1-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-framework-dev (>= 5.24.0~),
-               plasma-workspace-dev (>= 4:5.7.5~),
-               qtbase5-dev (>= 5.6.1~),
-               qtdeclarative5-dev (>= 5.6.1~),
+               plasma-workspace-dev (>= 4:5.7~),
+               qtbase5-dev (>= 5.4),
+               qtdeclarative5-dev (>= 5.4),
+               scim-dev,
                shared-mime-info
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/workspace/kdeplasma-addons
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeplasma-addons
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeplasma-addons
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/plasma/kdeplasma-addons.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/plasma/kdeplasma-addons.git
 
 Package: kdeplasma-addons-data
 Architecture: all
@@ -55,7 +60,7 @@
 Package: kwin-addons
 Architecture: any
 Depends: kdeplasma-addons-data (= ${source:Version}),
-         kwin | kwin-x11,
+         kwin-x11 | kwin,
          plasma-framework,
          ${misc:Depends},
          ${shlibs:Depends}
@@ -75,6 +80,7 @@
          plasma-framework,
          plasma-workspace,
          qml-module-org-kde-draganddrop,
+         qml-module-org-kde-purpose,
          qml-module-org-kde-kcoreaddons,
          qml-module-org-kde-kio,
          qml-module-qtgraphicaleffects,
@@ -147,14 +153,3 @@
   * More coming soon..
  .
  This package is part of the KDE Plasma 5 addons module.
-
-Package: kdeplasma-addons-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: plasma-dataengines-addons (= ${binary:Version}) | plasma-runners-addons (= ${binary:Version}) | plasma-wallpapers-addons (= ${binary:Version}) | plasma-widgets-addons (= ${binary:Version}),
-         ${misc:Depends}
-Description: debugging symbols for kdeplasma-addons
- This package contains the debugging symbols associated with kdeplasma-addons
- for kf5. They will automatically be used by gdb for debugging kdeplasma-addons
- related issues.
